## mingw-w64-thorvg-0.13.0-1.src.tar.zst

=== meson_options.txt ===
option('engines',
   type: 'array',
   choices: ['sw', 'gl_beta', 'wg_beta'],
   value: ['sw'],
   description: 'Enable Rasterizer Engine in thorvg')

option('loaders',
   type: 'array',
   choices: ['', 'tvg', 'svg', 'png', 'jpg', 'lottie', 'ttf', 'webp', 'all'],
   value: ['svg', 'tvg', 'lottie'],
   description: 'Enable File Loaders in thorvg')

option('savers',
   type: 'array',
   choices: ['', 'tvg', 'gif', 'all'],
   value: [''],
   description: 'Enable File Savers in thorvg')

option('threads',
   type: 'boolean',
   value: true,
   description: 'Enable the multi-threading task scheduler in thorvg')

option('vector',
   type: 'boolean',
   value: false,
   description: 'Enable CPU Vectorization(SIMD) in thorvg')

option('bindings',
   type: 'array',
   choices: ['', 'capi', 'wasm_beta'],
   value: [''],
   description: 'Enable API bindings')

option('tools',
   type: 'array',
   choices: ['', 'svg2tvg', 'svg2png', 'lottie2gif', 'all'],
   value: [''],
   description: 'Enable building thorvg tools')

option('examples',
    type: 'boolean',
    value: false,
    description: 'Enable building examples')

option('tests',
   type: 'boolean',
   value: false,
   description: 'Enable building Unit Tests')

option('log',
    type: 'boolean',
    value: false,
    description: 'Enable log message')

option('static',
    type: 'boolean',
    value: false,
    description: 'Force to use static linking modules in thorvg')

=== PKGBUILD ===
# Maintainer: Vincent Torri <vincent.torri@gmail.com>

_realname=thorvg
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.13.0
pkgrel=1
pkgdesc="Lightweight vector graphic library (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.thorvg.org/'
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-libpng"
         "${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
         "${MINGW_PACKAGE_PREFIX}-libwebp")
makedepends=("${MINGW_PACKAGE_PREFIX}-meson"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-pkgconf"
             "${MINGW_PACKAGE_PREFIX}-cc")
source=("https://github.com/thorvg/thorvg/archive/refs/tags/v${pkgver}.tar.gz")
sha256sums=('1d84809c3e4a4ddc177b8d52698cfa60d2a8db5fd9893fbbb2ae50ddec34ec09')

prepare() {
  cd "${srcdir}"/${_realname}-${pkgver}
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    meson setup \
      --prefix="${MINGW_PREFIX}" \
      --wrap-mode=nodownload \
      --buildtype=release \
      -Ddefault_library=shared \
      -Dloaders=all \
      -Dsavers=all \
      -Dbindings=capi \
      -Dtools=all \
      -Dtests=true \
      ../${_realname}-${pkgver}

  meson compile
}

check() {
  cd "${srcdir}/build-${MSYSTEM}"

  meson test
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" meson install

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/LICENSE" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
